<table id="cart" class="table table-hover table-condensed" *ngIf="orderDetails; else noOrderYet">
  <thead>
  <tr>
    <th style="width:40%">Product</th>
    <th style="width:10%">Price</th>
    <th style="width:8%">Quantity</th>
    <th style="width:22%" class="text-center">Subtotal</th>
    <th style="width:10%"></th>
  </tr>
  </thead>
  <tbody>
  <tr *ngFor="let orderDetail of orderDetails">
    <td data-th="Product">
      <div class="row">
        <div class="col-4 hidden-xs">
          <img width="100px"
            [src]="orderDetail.product.imagePath.back" [alt]="orderDetail.product.name" class="img-responsive"/>
        </div>
        <div class="col-8">
          <h4 class="nomargin">{{orderDetail.product.name}}</h4>
          <p>{{orderDetail.product.description | slice:1:50}}...</p>
        </div>
      </div>
    </td>
    <td data-th="Price">{{orderDetail.product.price}}</td>
    <td data-th="Quantity">
      <input type="number" class="form-control text-center" disabled value="{{orderDetail.qty}}">
    </td>
    <td data-th="Subtotal" class="text-center">1.99</td>
    <td class="actions" data-th="">
      <button class="btn btn-info btn-sm"><i class="fa fa-refresh"></i></button>
      <button class="btn btn-danger btn-sm"><i class="fa fa-trash-o"></i></button>
    </td>
  </tr>
  </tbody>
  <tfoot>
  <tr>
    <td><a routerLink="/products" class="btn btn-warning"><i class="fa fa-angle-left"></i> Continue Shopping</a></td>
    <td colspan="2" class="hidden-xs"></td>
    <td class="hidden-xs text-center"><strong>Total ${{totalPrice}}</strong></td>
    <td><a href="#" class="btn btn-success btn-block">Checkout <i class="fa fa-angle-right"></i></a></td>
  </tr>
  </tfoot>
</table>

<ng-template #noOrderYet>
  <div class="alert alert-warning alert-dismissible fade show mt-5" role="alert">
    <strong>Your basket is empty!</strong><p>You should check in on some of those fields below.</p>
    <a routerLink="/products" class="btn btn-dark">Go to shopping page</a>
  </div>
</ng-template>
